Skip to main content
POST
Cashfree no longer support adding beneficiaries with Paytm UPI handles.

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app ID in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the [Merchant Dashboard]((https://merchant.cashfree.com/payouts/developers/api-keys).

Headers

x-api-version
string
default:2024-01-01
required

It is the API version to be used.

x-request-id
string

Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.

x-cf-signature
string

Signature to be sent if IP is not whitelisted.

Body

application/json

Find the request parameters to create a beneficiary

Find the request parameters to create a beneficiary

beneficiary_id
string
required

It is the unique ID you create to identify the beneficiary. Alphanumeric, underscore ( _ ), pipe ( | ), and dot ( . ) are allowed.

Maximum string length: 50
Example:

"JOHN18011343"

beneficiary_name
string
required

It is the name of the beneficiary. The maximum character limit is 100. Only alphabets and whitespaces are allowed.

Maximum string length: 100
Example:

"John Doe"

beneficiary_instrument_details
object

Beneficiary instrument details

beneficiary_contact_details
object

It should contain the contact details of the beneficiary.

Response

OK

Contains the information of the created beneficiary

beneficiary_id
string

It displays the unique Id you created to identify the beneficiary.

Example:

"JOHN18011343"

beneficiary_name
string

It displays the name of the beneficiary.

Example:

"John Doe"

beneficiary_instrument_details
object

It displays the payment instrument details of the beneficiary.

beneficiary_contact_details
object

It displays the contact details of the beneficiary.

beneficiary_status
enum<string>

It displays the current status of the beneficiary. Possible values are as follows

  • VERIFIED: Beneficiary is verified and is available for payouts
  • INVALID: Beneficiary is invalid
  • INITIATED: Beneficiary verification initiated
  • CANCELLED: Beneficiary verification cancelled
  • FAILED: Failed to verify beneficiary
  • DELETED: Beneficiary is deleted
Available options:
VERIFIED,
INVALID,
INITIATED,
CANCELLED,
FAILED,
DELETED
Example:

"VERIFIED"

added_on
string

It displays the time of the addition of the beneficiary in UTC.

Example:

"2023-11-22T12:38:22Z"